Bug 212959 - [WPE] fast/scrolling/rtl-scrollbars-alternate-body-dir-attr-does-not-update-scrollbar-placement-2.html is a flaky failure
Summary: [WPE] fast/scrolling/rtl-scrollbars-alternate-body-dir-attr-does-not-update-s...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Scrolling (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Diego Pino
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-06-08 22:49 PDT by Diego Pino
Modified: 2022-01-04 17:06 PST (History)
3 users (show)

See Also:


Attachments
[fast-cq] Patch (3.29 KB, patch)
2022-01-04 16:59 PST, Diego Pino
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Pino 2020-06-08 22:49:54 PDT
The test is marked as ImageOnlyFailure in general test expectations, although is passing in several platforms (GTK, mac-wk2, ios-wk1). In WPE, the test started passing since r261996, although it's a flaky timeout.

For a timeout output, see: https://build.webkit.org/results/WPE%20Linux%2064-bit%20Release%20(Tests)/r262703%20(18494)/results.html

When there's a timeout there's this stderr output:

Failed to load 'about:blank', terminating process and trying again.
Failed to load 'about:blank' again after termination.
<unknown> - TestController::run - Failed to reset state to consistent values
#PROCESS UNRESPONSIVE - WPEWebProcess
Comment 1 Lauro Moura 2020-12-07 10:32:01 PST
Wrong related bugs. Sorry.
Comment 2 Diego Pino 2022-01-04 16:59:38 PST
Created attachment 448348 [details]
[fast-cq] Patch
Comment 3 Diego Pino 2022-01-04 17:00:38 PST
This test has been passing consistently for the last 4000 revisions:

https://results.webkit.org/?suite=layout-tests&test=fast%2Fscrolling%2Frtl-scrollbars-alternate-body-dir-attr-does-not-update-scrollbar-placement-2.html&platform=WPE

Pushed patch to update test expectations accordingly.
Comment 4 EWS 2022-01-04 17:05:44 PST
Committed r287599 (245727@main): <https://commits.webkit.org/245727@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 448348 [details].
Comment 5 Radar WebKit Bug Importer 2022-01-04 17:06:33 PST
<rdar://problem/87122729>